com.amazonaws.services.codedeploy.model

## Class ListDeploymentGroupsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.ListDeploymentGroupsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class ListDeploymentGroupsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a list deployment groups operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListDeploymentGroupsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListDeploymentGroupsResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getApplicationName()` The application name.
`List<String>` `getDeploymentGroups()` A list of corresponding deployment group names.
`String` `getNextToken()` If a large amount of information is returned, an identifier is also returned.
`int` `hashCode()`
`void` `setApplicationName(String applicationName)` The application name.
`void` `setDeploymentGroups(Collection<String> deploymentGroups)` A list of corresponding deployment group names.
`void` `setNextToken(String nextToken)` If a large amount of information is returned, an identifier is also returned.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListDeploymentGroupsResult` `withApplicationName(String applicationName)` The application name.
`ListDeploymentGroupsResult` `withDeploymentGroups(Collection<String> deploymentGroups)` A list of corresponding deployment group names.
`ListDeploymentGroupsResult` `withDeploymentGroups(String... deploymentGroups)` A list of corresponding deployment group names.
`ListDeploymentGroupsResult` `withNextToken(String nextToken)` If a large amount of information is returned, an identifier is also returned.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListDeploymentGroupsResult

    public ListDeploymentGroupsResult()

### Method Detail

#### setApplicationName

    public void setApplicationName(String applicationName)

The application name.

Parameters:
  `applicationName` - The application name.

#### getApplicationName

    public String getApplicationName()

The application name.

Returns:
  The application name.

#### withApplicationName

    public ListDeploymentGroupsResult withApplicationName(String applicationName)

The application name.

Parameters:
  `applicationName` - The application name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getDeploymentGroups

    public List<String> getDeploymentGroups()

A list of corresponding deployment group names.

Returns:
  A list of corresponding deployment group names.

#### setDeploymentGroups

    public void setDeploymentGroups(Collection<String> deploymentGroups)

A list of corresponding deployment group names.

Parameters:
  `deploymentGroups` - A list of corresponding deployment group names.

#### withDeploymentGroups

    public ListDeploymentGroupsResult withDeploymentGroups(String... deploymentGroups)

A list of corresponding deployment group names.

NOTE: This method appends the values to the existing list (if any). Use `setDeploymentGroups(java.util.Collection)` or `withDeploymentGroups(java.util.Collection)` if you want to override the existing values.

Parameters:
  `deploymentGroups` - A list of corresponding deployment group names.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withDeploymentGroups

    public ListDeploymentGroupsResult withDeploymentGroups(Collection<String> deploymentGroups)

A list of corresponding deployment group names.

Parameters:
  `deploymentGroups` - A list of corresponding deployment group names.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list deployment groups call to return the next set of deployment groups in the list.

Parameters:
  `nextToken` - If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list deployment groups call to return the next set of deployment groups in the list.

#### getNextToken

    public String getNextToken()

If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list deployment groups call to return the next set of deployment groups in the list.

Returns:
  If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list deployment groups call to return the next set of deployment groups in the list.

#### withNextToken

    public ListDeploymentGroupsResult withNextToken(String nextToken)

If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list deployment groups call to return the next set of deployment groups in the list.

Parameters:
  `nextToken` - If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list deployment groups call to return the next set of deployment groups in the list.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListDeploymentGroupsResult clone()

Overrides:
  `clone` in class `Object`